package com.hz.pm.api.common.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zpf
 * @date 2023/3/12 上午9:21
 */
@AllArgsConstructor
@Getter
public enum CommonEnum {
    /**
     * 公共的一些枚举
     */
    YES(1, "是", 1),
    NO(0, "否", 1),

    LS_SBJ(331100, "市本级", 2),
    LS_LD(331102, "莲都区", 2),
    LS_QT(331121, "青田县", 2),
    LS_JY(331122, "缙云县", 2),
    LS_SC(331123, "遂昌县", 2),
    LS_SY(331124, "松阳县", 2),
    LS_YH(331125, "云和县", 2),
    LS_QY(331126, "庆元县", 2),
    LS_JN(331127, "景宁畲族自治县", 2),
    LS_LQ(331181, "龙泉市", 2),
    LS_KFQ(331199, "开发区", 2),
    ZWDD(0, "浙政钉", 3),
    MOBILE(1, "短信", 3);

    private final Integer code;
    private final String desc;
    private final Integer groupId;

    public boolean eq(Integer code) {
        return this.getCode().equals(code);
    }

}
