package com.hz.pm.api.common.exception;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * ReturnException
 * </p>
 *
 * @author WendyYang
 * @since 21:49 2024/6/9
 */
@Data
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ReturnException extends RuntimeException {

    private final String message;

    public static ReturnException wrap(String message) {
        return new ReturnException(message);
    }

}
