package com.hz.pm.api.common.statemachine.event;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * SelfTestStateChangeEvent
 * </p>
 *
 * @author WendyYang
 * @since 00:14 2024/2/24
 */
@Getter
@AllArgsConstructor
public enum SelfTestStateChangeEvent implements AbstractStateChangeEvent {

    SUBMIT_SELF_TEST_INFO(1100, null, null),
    SELF_TEST_PASSED(1101, null, null),
    SELF_TEST_FAILED(null, 1101, null),
    RESUBMIT_SELF_TEST(1102, null, null);


    private final Integer passStatusCode;
    private final Integer rejectStatusCode;
    private final Integer withdrawStatusCode;

}
