package com.hz.pm.api.common.statemachine.event;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * TenderStatusChangeEvent
 * </p>
 *
 * @author WendyYang
 * @since 00:14 2024/2/24
 */
@Getter
@AllArgsConstructor
public enum XcfhxStateChangeEvent implements AbstractStateChangeEvent {

    /**
     * 信创符合性申请
     */
    SUBMIT_XCFHX_APPLY(301, null, null),
    /**
     * 信创符合性重新申请
     */
    RESUBMIT_XCFHX_APPLY(303, null, null),
    /**
     * 信创符合性申请通过
     */
    XCFHX_APPLY_PASSED(302, null, null),
    /**
     * 信创符合性申请不通过
     */
    XCFHX_APPLY_FAILED(null, 302, null);


    private final Integer passStatusCode;
    private final Integer rejectStatusCode;
    private final Integer withdrawStatusCode;

}
