package com.hz.pm.api.dashboard.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@TableName("nd_project_cockpit_applition")
@ApiModel(value = "驾驶舱统计应用对象", description = "")
public class CockpitApplication implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("介绍")
    private String introduce;

    @ApiModelProperty("年份")
    private LocalDateTime createOn;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("金额")
    private BigDecimal amount;

    @ApiModelProperty("标签")
    private String tags;

    @ApiModelProperty("类型 1最佳应用 2重大应用")
    private Integer type;

}