package com.hz.pm.api.expert.mapper;

import com.hz.pm.api.expert.model.query.ListExpertQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/5 上午10:27
 */
@Repository
public interface ExpertAdminManageMapper {

    /**
     * 获取所有符合查询条件的专家user_id
     *
     * @param query
     * @return
     */
    List<Long> listExpertUserId(@Param("query") ListExpertQuery query);

    List<Long> listExpertDictionaryUserId(@Param("query") ListExpertQuery query);

    List<Long> listExpertTagUserId(@Param("query") ListExpertQuery query);


}
