package com.hz.pm.api.expert.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/27 上午11:52
 */
@Data
@ApiModel(description = "推荐信息")
public class ExpertRecommendInfo {

    /**
     * 推荐方式
     */
    @ApiModelProperty("推荐方式")
    private List<DictFieldInfoDTO> recommendedWay;

    @ApiModelProperty("推荐证明材料")
    private String recommendFile;
}
