package com.hz.pm.api.expert.model.cmd;


import com.hz.pm.api.expert.model.dto.ExpertDictionaryDTO;
import com.hz.pm.api.expert.model.dto.ExpertTagDTO;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/26 下午5:40
 */
@Data
public class ExpertStorageDealCmd {

    private Long expertUserId;

    private Boolean applyResult;

    private String joinRegionCode;

    private Integer joinRegionLevel;

    /**
     * 专家类型(内外围)
     */
    private List<ExpertDictionaryDTO> expertType;

    /**
     * 其他标签(标签code)
     */
    private List<ExpertTagDTO> other;

    private String remark;
}
