package com.hz.pm.api.expert.model.dto;


import com.hz.pm.api.expert.model.DictFieldInfoDTO;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:36
 */
@Data
public class ExpertAdminExpertListDTO {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 专家姓名
     */
    private String expertName;

    /**
     * 工作单位
     */
    private String company;

    /**
     * 专家联系方式
     */
    private String phoneNo;

    /**
     * 性别
     */
    private String gender;

    /**
     * 专家类型(内外围)
     */
    private List<DictFieldInfoDTO> expertType;

    /**
     * 账号状态
     */
    private String expertAccountStatus;

    /**
     * 专家来源
     */
    private List<DictFieldInfoDTO> expertSource;

    /**
     * 所属专家库
     */
    private List<DictFieldInfoDTO> expertLibrary;

    /**
     * 专业特长
     */
    private List<DictFieldInfoDTO> expertSpecialty;

    /**
     * 入库时间
     */
    private LocalDateTime inPutTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
