package com.hz.pm.api.expert.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午2:21
 */
@Data
@ApiModel(value = "ExpertUserBasicInfoSubmitRequest", description = "社会专家报名接口")
public class ExpertRegistrationRequest extends ExpertUserBasicInfoSubmitRequest {

    @NotBlank(message = "手机验证码不能为空")
    @ApiModelProperty("手机验证码")
    private String verificationCode;

}