package com.hz.pm.api.expert.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/8/29 下午3:21
 */
@Data
@ApiModel("通过浙政钉获取手机号数据展示VO")
public class ZzdInfoByMobileVO {

    @ApiModelProperty("手机号")
    private String phoneNo;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("是否是浙政钉用户")
    private Boolean isDingUser;
}
