package com.hz.pm.api.expert.service;


import com.hz.pm.api.common.model.CommonPage;
import com.hz.pm.api.expert.model.cmd.ExpertAdminExpertManageQueryCmd;
import com.hz.pm.api.expert.model.dto.ExpertAdminExpertListDTO;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:32
 */
public interface ExpertAdminManageService {

    /**
     * 专家库条件筛选（管理员使用）
     *
     * @param expertAdminExpertManageQueryCmd \
     * @return \
     */
    CommonPage<ExpertAdminExpertListDTO> getExpertLibraryList(ExpertAdminExpertManageQueryCmd expertAdminExpertManageQueryCmd);


    /**
     * 获取所有符合查询条件的专家user_id
     *
     * @param expertAdminExpertManageQueryCmd
     * @return
     */
    List<Long> filterExpertUserIdList(ExpertAdminExpertManageQueryCmd expertAdminExpertManageQueryCmd);

}
