package com.hz.pm.api.filemanage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname Documentation
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@TableName("nd_documentation")
@ApiModel(value = "nd_documentation", description = "资料文档")
public class Documentation {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("上传人")
    private String createBy;

    @ApiModelProperty("上传时间")
    private LocalDateTime createOn;

    @ApiModelProperty("文档大小 kb")
    private Long size;

    @ApiModelProperty("文档分类ID")
    private Long groupId;

    @ApiModelProperty("文档ID")
    private Long fileId;

    @ApiModelProperty("排序")
    private Integer sort;
}
