package com.hz.pm.api.filemanage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname Documentation
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@TableName("nd_documentation_group")
@ApiModel(value = "nd_documentation_group", description = "资料文档分组")
public class DocumentationGroup {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("上传人")
    private String createBy;

    @ApiModelProperty("上传时间")
    private LocalDateTime createOn;

    @ApiModelProperty("分组名")
    private String name;

    @ApiModelProperty("排序")
    private Integer sort;
}
