package com.hz.pm.api.filemanage.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname Documentation
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ProjectFileListVO", description = "资料文档")
public class ProjectFileListVO {

    @ApiModelProperty("项目ID")
    private Long id;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目单位")
    private String buildOrgName;

    @ApiModelProperty("项目编号")
    private String pojectCode;

    @ApiModelProperty("是否可阅")
    private Boolean canRead = Boolean.FALSE;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("是否可以申请借阅")
    private Boolean canApplyBorrow = Boolean.TRUE;
}
