package com.hz.pm.api.fiscal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-10
 */
@Data
@TableName("nd_company_fiscal_code")
@ApiModel(value = "NdCompanyFiscalCode对象")
public class CompanyFiscalCode implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private String fiscalCode;

    private String organizationCode;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    private Long updateBy;

}
