package com.hz.pm.api.gov.contant;

/**
 * @Classname BizProjectContant
 * @Description
 * @Date 2023/8/25 11:03
 * @Author PoffyZhang
 */
public class BizProjectCont {

    private BizProjectCont() {
    }

    public static final String NOT_EFFECTIVE_CODE = "1";

    public static final String EFFECTIVE_CODE = "2";

    public static class ProjectCollection {

        private ProjectCollection() {
        }

        //有效
        public static final String IS_EFFECTIVE = "02";
        //有效
        public static final String NOT_EFFECTIVE = "01";
        public static final String DRAFT = "草稿";
        public static final String OP_INSERT = "insert";
        public static final String OP_UPDATE = "update";
        public static final String OP_DELETE = "delete";
        public static final String PDF_SUFFIX = ".pdf";
        public static final String MONTH = "月";

        public static final String MISSING_HIS_PROJ_ID = "000000";

        public static final String MISSING_HIS_PROJ_NAME = "历年项目数据缺失";
    }

}
