package com.hz.pm.api.gov.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author liuxinxin
 * @since 2023-04-18
 */
@Data
@TableName("belong_org")
@ApiModel(value = "BelongOrg对象")
public class BelongOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("组织code")
    private String orgCode;

    @ApiModelProperty("组织名称")
    private String orgName;

    @ApiModelProperty("所属组织code")
    private String belongCode;

    @ApiModelProperty("所属组织名称")
    private String belongName;

    @ApiModelProperty("组织类型")
    private String orgType;
}
