package com.hz.pm.api.gov.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname GovBizProjectDraft
 * @Description
 * @Date 2023/9/5 11:05
 * @Author PoffyZhang
 */
@Data
@TableName("gov_operation_project_tobe_push")
@ApiModel(value = "GovOperationProjectTobePush", description = "待推送申报项目和运维项目")
public class GovOperationProjectTobePush implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private String baseProjId;
    private String baseProjName;
    private String baseAreaName;
    private String baseAreaCode;
    private String baseProjIsConfidentiality;
    private String baseProjType;
    private String baseConstructionType;
    private String baseProjSetProg;
    private String isEffective;

    @ApiModelProperty("是否省级 1省级 2非省级")
    private Integer baseProvManDeprtType;

    private String baseProvManDeprt;
    private String baseProvManDeprtDing;
    private String baseManDeprt;
    private String baseManDeprtDing;
    private String baseManDepartUsci;
    private String baseBuildDeprt;
    private String baseBuildDeprtDing;
    private String baseBuildDepartUsci;
    private String baseProjPrincipal;
    private String baseProjPrincipalCall;
    private String baseProjContacts;
    private String baseProjContactsCall;
    private Boolean deleted;

    private String baseDevelopCode;
    private String setProjCodeFinan;
    private String baseHistorProjName;
    private String baseHistorProjId;
    private String baseHistorProjYear;
    private String baseProjSys;
    private String baseProjSysCode;
    private String baseAccountAppName;
    private String baseBrainName;
    private String baseCoreBusiness;
    private String baseCoreBusinessCode;
    private LocalDateTime baseProjStartTime;
    private LocalDateTime baseProjEndTime;
    private LocalDateTime baseProjDuration;
    private String baseProjSetYear;
    private String baseProjAmountOri;
    private String baseBasisAmountOri;
    private BigDecimal baseProjTotalAmount;
    private BigDecimal baseProjDeclAmount;
    private String baseProjConsClass;
    private String baseLowestLevel;
    private String baseProjBasis;
    private String baseBasisEstablish;
    private String baseProjBasisFile;
    private String baseProjIntro;
    private String beseExpectedResults;
    private String baseResearchReportFile;
    private String baseProjApplyFile;
    private String baseOperatMaintenFile;
    private String baseProjOtherFile;
    private String baseProjRemark;

    private String baseReviewResults;
    private String baseReviewOpinion;
    private String baseReviewCommentsFile;
    private BigDecimal baseExpertTotalMoney;
    private BigDecimal baseExpertYearMoney;
    private String approvalFile;
    private BigDecimal baseInitialReviewTotalMoney;
    private BigDecimal baseProjReplyAmount;
    private String equalProtectionLevel;
    private String preliminaryDesignScheme;
    private String preliminaryDesignFile;
    private BigDecimal releaseYearMoney;

    private String baseBidCode;
    private String baseBidName;

    private String baseInitialOpinionFile;
    private String baseInforLevelFileCimplement;
    private String basePasswAssessFileCimplement;
    private String baseThirdAcceptFileCimplement;
    private String baseCheckFile;
    private String baseFinanlAuditFile;
    private String baseUserConsFileCimplement;
    private String baseEstaSummFileCimplement;
    private String baseIrsTestRunFile;
    private String baseSummReportFile;
    private String baseLogAggregationCimplement;
    private String baseBusinessMetricsCimplement;
    private String baseFinalExpertOpinionFileCimplement;
    private String baseEngineerPostpoFileCimplement;
    private String baseChangeFormFile;
    private String baseChanFileCimplement;

    private String baseInforLevelFileMimplement;
    private String basePasswAssessFileMimplement;
    private String baseThirdAcceptFileMimplement;
    private String baseUserConsFileMimplement;
    private String baseEstaSummFileMimplement;
    private String baseOperatMaintenSummFile;
    private String baseLogAggregationMimplement;
    private String baseBusinessMetricsMimplement;
    private String baseFinalExpertOpinionFileMimplement;
    private String baseEngineerPostpoFileMimplement;
    private String baseEngineerAlterFile;
    private String baseChanFileMimplement;

    @ApiModelProperty("是否确实历史项目")
    private Boolean missing;

    private String procure;

    private String areaCode;
    private LocalDateTime bizTime;
    private String op;
    private LocalDateTime tongTime;
    private LocalDateTime updateOn;
    private String updateBy;
    private Long createId;
}
