package com.hz.pm.api.gov.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目字典表
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovProjectDictionaryVO", description = "项目字典表")
public class GovProjectDictionaryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    private String createBy;
    private LocalDateTime createOn;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("值")
    private String value;

    @ApiModelProperty("展示值")
    private String label;

    @ApiModelProperty("备注")
    private String remark;
}
