package com.hz.pm.api.leave.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.leave.entity.domain.ExpertLeave;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-08-11
 */
public interface IExpertLeaveService extends IService<ExpertLeave> {

    ExpertLeave getByAuditId(Long auditId);

    /**
     * 是否存在待审核请假记录
     *
     * @param expertId 专家ID
     * @return boolean
     */
    boolean existsToBeReviewed(Long expertId);

}
