package com.hz.pm.api.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.hz.pm.api.meeting.entity.enumeration.MeetingSettingsTypeEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author WendyYang
 * @since 2023-12-27
 */
@Data
@TableName("MEETING_SETTINGS")
@ApiModel(value = "MeetingSettings对象")
public class MeetingSettings implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    private Boolean enable;

    private String settingsContent;

    private MeetingSettingsTypeEnum settingsType;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
