package com.hz.pm.api.meeting.entity.dto;

import com.hz.pm.api.external.sms.vo.SmsReply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author wangrenkang
 * @date 2024-02-21 14:24:32
 */
@Data
@Builder
@ApiModel("专家短信回复信息详情")
public class SmsReplyDetails {

    @ApiModelProperty("回复1同意参加的手机号")
    private Map<String, List<SmsReply>> accept;

    @ApiModelProperty("回复2拒绝参加的手机号")
    private Map<String, List<SmsReply>> reject;

    @ApiModelProperty("回复其他内容的手机号")
    private Map<String, List<SmsReply>> other;

    @ApiModelProperty("发送失败的手机号")
    private Map<String, List<String>> errorPhones;
}
