package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * MeetingResultUploadReq
 * </p>
 *
 * @author WendyYang
 * @since 15:35 2023/12/18
 */
@Data
public class MeetingResultUploadReq {

    @ApiModelProperty("会议ID")
    @NotNull(message = "会议ID不能为空")
    private Long meetingId;

    @ApiModelProperty("会议结果说明")
    private String resultDescription;

    @ApiModelProperty("相关材料")
    private String resultAttachFiles;

}
