package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * MeetingResultUploadReq
 * </p>
 *
 * @author WendyYang
 * @since 15:35 2023/12/18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectReviewResultUploadReq extends ProjectReviewInfoReq {

    @ApiModelProperty("会议ID")
    @NotNull(message = "会议ID不能为空")
    private Long meetingId;

    @ApiModelProperty("项目关联会议ID")
    @NotNull(message = "项目关联会议ID不能为空")
    private Long meetingProjectId;

}
