package com.hz.pm.api.meeting.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * ReviewProjectListReq
 * </p>
 *
 * @author WendyYang
 * @since 10:54 2023/3/8
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ReviewProjectListReq extends PagePo {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    private Long userId;

    @ApiModelProperty("是否已评审")
    private Boolean reviewed;

    private LocalDateTime reviewTimeMin;

    private LocalDateTime reviewTimeMax;

}
