package com.hz.pm.api.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 回避信息
 * </p>
 *
 * @author WendyYang
 * @since 11:25 2023/3/1
 */
@Data
@ApiModel("回避信息")
public class AvoidInfoVO {

    @ApiModelProperty("回避类型：1 回避同单位、2 回避同条线、3 不回避")
    private Integer avoidType;

    @ApiModelProperty("回避单位")
    private List<String> avoidUnitIds;

    @ApiModelProperty("回避单位名称")
    private List<String> avoidUnits;

    @ApiModelProperty("回避条线")
    private List<String> avoidOrgIds;

    @ApiModelProperty("回避条线名称")
    private List<String> avoidOrgs;

    @ApiModelProperty("每周邀请次数")
    private Integer weekInviteCount;

    @ApiModelProperty("回避专家")
    private Collection<ExpertBasicInfoVO> experts;

}