package com.hz.pm.api.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * ExpertInviteDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 08:58 2022/8/9
 */
@Data
@ApiModel("专家邀请情况实体")
public class ExpertInviteDetailVO {

    @ApiModelProperty("是否已停止邀请")
    private Boolean invitedStopped;

    @ApiModelProperty("是否已确认名单")
    private Boolean confirmedRoster;

    @ApiModelProperty("邀请名单")
    private List<InviteExpertListItemVO> inviteExpertList;

    @ApiModelProperty("抽取情况")
    private List<InviteStatisticsByRuleVO> inviteStatistics;

}
