package com.hz.pm.api.meeting.entity.vo;

import com.hz.pm.api.sys.model.dto.RegionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * MeetingConfirmToDoListItem
 * </p>
 *
 * @author WendyYang
 * @since 15:20 2022/8/29
 */
@Data
public class MeetingConfirmToDoListItemVO {

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("会议开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("会议类型")
    private String type;

    @ApiModelProperty("举办地址详情")
    private String regionDetail;

    @ApiModelProperty("举办地址")
    private List<RegionDTO> regions;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("邀请总人数")
    private Integer totalExpert;

    @ApiModelProperty("确认总人数")
    private Integer confirmedExpert;

}
