package com.hz.pm.api.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * MeetingCountSummaryVo
 * </p>
 *
 * @author WendyYang
 * @since 09:43 2022/8/30
 */
@Data
@Builder
@ApiModel("会议数量统计视图实体")
public class MeetingCountSummaryVO {

    @ApiModelProperty("已完成")
    private Integer completed;

    @ApiModelProperty("已取消")
    private Integer canceled;

    @ApiModelProperty("待召开")
    private Integer toBeHeld;

    @ApiModelProperty("已召开")
    private Integer held;

}
