package com.hz.pm.api.meeting.service;

import com.hz.pm.api.meeting.entity.domain.MeetingOuterProject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 会议评审外部项目 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-28
 */
public interface IMeetingOuterProjectService extends IService<MeetingOuterProject> {

    /**
     * 查询会议评审的外部项目
     *
     * @param meetingId 会议ID
     * @return 评审的外部项目
     * @author WendyYang
     **/
    List<MeetingOuterProject> listByMeetingId(Long meetingId);

}
