package com.hz.pm.api.meta.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
@Data
@TableName("meta_dictionary")
@ApiModel(value = "MetaDictionary对象", description = "")
public class MetaDictionary implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private String dictionaryType;

    private String dictionaryCode;

    private String dictionaryName;

    private String dictionaryDescribe;

    private Integer sortValue;

    private Long createBy;

    private String readonly;

    private Long updateBy;

}
