package com.hz.pm.api.meta.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/8/27 下午2:35
 */
@Data
@ApiModel(description = "标签列表展示")
public class ResTagListVO {

    @ApiModelProperty(value = "标签 编码")
    private String tagCode;

    @ApiModelProperty(value = "标签名称")
    private String tagName;

    @ApiModelProperty(value = "标签级别")
    private Long tagLevel;

    @ApiModelProperty(value = "使用频次")
    private Long useFrequency;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "是否为叶子节点")
    private Boolean isLeaf;

    @ApiModelProperty(value = "是否有子集")
    private Boolean hasChildren;

}
