package com.hz.pm.api.open.model.po;

import javax.validation.constraints.NotBlank;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024-05-10
 */
@ApiModel(description = "会议专家信息列表请求入参")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReqMeetingExpertInfoPO extends PagePo {

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;
}
