package com.hz.pm.api.open.model.vo;

import java.util.List;

import com.hz.pm.api.expert.model.dto.DictionaryVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @date 2024/5/11
 */
@Data
@ApiModel("专家信息")
public class ExpertInfoVO {

    @ApiModelProperty("专家id")
    private Long expertId;

    @ApiModelProperty("专家用户id")
    private Long userId;

    @ApiModelProperty(value = "专家类型")
    private List<DictionaryVO> expertType;

    @ApiModelProperty(value = "专家姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phoneNo;

    @ApiModelProperty(value = "单位名称")
    private String mhUnitName;

    @ApiModelProperty(value = "单位id")
    private Long mhUnitId;

    @ApiModelProperty(value = "信创专家ID")
    private String mhExpertId;

}
