package com.hz.pm.api.organization.helper;

import com.hz.pm.api.organization.model.entity.DingOrganization;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/3/8 下午3:23
 */

public interface GovBusinessStripHelper {

    /**
     * 获取上级条线单位
     *
     * @param organizationCode
     * @return
     */
    List<DingOrganization> getSupGovBusinessStrip(String organizationCode);


    /**
     * 获取上级主管单位
     *
     * @param organizationCode
     * @return
     */
    DingOrganization getSupMainManageOrganization(String organizationCode);
}
