package com.hz.pm.api.organization.model.po;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2023/2/16 上午11:50
 */
@Data
@ApiModel("组织列表 请求PO")
public class ReqOrganizationListPO extends PagePo {

    @ApiModelProperty("单位名称")
    private String orgName;

    @ApiModelProperty("浙政钉编码")
    private String orgCode;

    @ApiModelProperty("所属区域id")
    private String regionId;

    @ApiModelProperty("是否为主管单位")
    private Boolean isCompetentUnit;

    @ApiModelProperty("是否为上级条线主管单位")
    private Boolean isSuperiorLineCompetentUnit;

    @ApiModelProperty("是否只筛选单位")
    private Boolean onlyUnit = false;

}
