package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;

/**
 * @Classname AppraisalProjectDTO
 * @Description
 * @Date 2023/6/19 17:08
 * @Author PoffyZhang
 */
@Data
public class AppraisalProjectDTO {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID 必填")
    private Long id;

    @ApiModelProperty("是否复评")
    private Boolean isReAppraisal = Boolean.FALSE;
}
