package com.hz.pm.api.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-07-29
 */
@TableName("nd_performance_appraisal_app_indicator")
@ApiModel(value = "NdPerformanceAppraisalAppIndicator对象", description = "")
@Data
public class PerformanceAppraisalAppIndicator implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("指标名称")
    private String indexName;

    @ApiModelProperty("指标所属模块")
    private String indexOwningModule;

    @ApiModelProperty("指标展示顺序")
    private Integer sort;

    @ApiModelProperty("展示形式(1 图标、2 文字、3 评分)")
    private Integer displayForm;

    @ApiModelProperty("指标类型(1 通用指标、2 辅助指标)")
    private Integer indexType;

    @ApiModelProperty("指标分值")
    private BigDecimal indexScore;

    @ApiModelProperty("是否展示")
    private Boolean isDisplay;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("指标定义")
    private String indexDef;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人")
    private String updateBy;
}
