package com.hz.pm.api.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-08-14
 */
@Data
@TableName("nd_performance_appraisal_app_score_info")
@ApiModel(value = "NdPerformanceAppraisalAppScoreInfo对象", description = "")
public class PerformanceAppraisalAppScoreInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("评价指标ID")
    private Long indexId;

    @ApiModelProperty("指标类型 1 通用指标、2 辅助指标、3 业务指标")
    private Integer indexType;

    @ApiModelProperty("评价得分")
    private BigDecimal appraisalScore;

    @ApiModelProperty("评价员工code")
    private String appraisalEmployeeCode;

    @ApiModelProperty("评价员工姓名")
    private String appraisalEmployeeName;

    @ApiModelProperty("评价应用ID")
    private Long applicationId;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;
}
