package com.hz.pm.api.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-07-28
 */
@TableName("nd_performance_appraisal_project_indicator")
@ApiModel(value = "NdPerformanceAppraisalProjectIndicator对象", description = "")
@Data
public class PerformanceAppraisalProjectIndicator implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("指标名称")
    private String indexName;

    @ApiModelProperty("指标级别(1 一级、2 二级、3 三级)")
    private Integer indexLevel;

    @ApiModelProperty("指标分值")
    private BigDecimal indexScore;

    @ApiModelProperty("指标细则")
    private String indexDetail;

    @ApiModelProperty("评分细则")
    private String gradeDetail;

    @ApiModelProperty("佐证材料")
    private String supportMaterial;

    @ApiModelProperty("丽水 区域code")
    private String regionCode;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private String updateBy;

}
