package com.hz.pm.api.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-07-26
 */
@TableName("nd_project_core_business_indicators")
@ApiModel(value = "NdProjectCoreBusinessIndicators对象")
@Data
public class ProjectCoreBusinessIndicators implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("核心业务")
    private String coreBusiness;

    @ApiModelProperty("业务指标分值")
    private BigDecimal score;

    @ApiModelProperty("业务指标名称")
    private String businessIndicatorName;

    @ApiModelProperty("业务指标描述")
    private String businessIndicatorDescription;

    @ApiModelProperty("指标设计依据")
    private String indexDesignBasis;

    @ApiModelProperty("指标计算方法")
    private String indexCalculationMethod;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("关联的应用ID")
    private Long applicationId;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;
}
