package com.hz.pm.api.performance.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * PerformanceAppraisalListReq
 * </p>
 *
 * @author ZPF
 * @since 09:32 2023/06/13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PerformanceAppraisalListReq extends PagePo {

    @ApiModelProperty("计划名称")
    private String planName;

    @ApiModelProperty("开始时间")
    private String start;

    @ApiModelProperty("结束时间")
    private String end;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("模板名称")
    private String templateName;

    @ApiModelProperty("区域code")
    private String regionCode;

    @ApiModelProperty("指标名称")
    private String indexName;

    @ApiModelProperty("指标级别 1一级指标 2二级指标 3三级指标")
    private Integer indexLevel;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("申报单位")
    private String buildOrgName;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;

    @ApiModelProperty("项目类型")
    private String projectType;

    @ApiModelProperty("预算年度")
    private Integer projectYear;
}
