package com.hz.pm.api.portrait.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 标签
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "Tag对象", description = "标签")
public class TagToProjectDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @NotNull(message = "标签ID必填")
    private Long tagId;

    @ApiModelProperty("当前项目编号")
    @NotNull(message = "项目编号必填")
    private String projectCode;
}
