package com.hz.pm.api.projectdeclared.model.dto;

import com.hz.pm.api.projectdeclared.utils.ProjectDetailDiffUtil.FieldDiff;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 项目信息编辑实体类
 * </p>
 *
 * @author WendyYang
 * @since 19:53 2024/8/5
 */
@Data
public class EditProjectDetailDTO {

    public static final String FIELD_PROJECT = "project";

    public static final String FIELD_PURCHASES = "purchases";

    public static final String FIELD_PROJECT_DIFFS = "projectDiffs";

    @ApiModelProperty("项目信息")
    private EditProjectDTO project;

    private List<FieldDiff> projectDiffs;

    private List<EditPurchaseDetailDTO> purchases;

}
