package com.hz.pm.api.projectdeclared.model.dto;

import com.hz.pm.api.projectlib.model.dto.ProjectDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 项目草稿箱
 * </p>
 *
 * @author zpf
 * @since 2023-02-06
 */
@ApiModel(value = "NdProjectDraftDto")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class ProjectDraftSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull
    @ApiModelProperty("项目信息")
    private ProjectDTO projectInfo;

}
