package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Classname ProjectContructionSuggestions
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@TableName("nd_project_constrctiuon_suggestions")
@ApiModel(value = "专家建设建议")
public class ProjectConstructionSuggestions {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("实例ID")
    private String instanceId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("建议项目总投资")
    private BigDecimal proposeTotalInvest;

    @ApiModelProperty("建议年度预算")
    private BigDecimal proposeAnnualBudget;

    @ApiModelProperty("建议评审意见附件")
    private String proposeAttachFiles;

}
