package com.hz.pm.api.projectdeclared.model.enumerization;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * BidTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 13:37 2024/3/25
 */
@Getter
@AllArgsConstructor
public enum BidTypeEnum {

    BUILD(1, "建设类（无应用）"),
    BUILD_APP(2, "建设类（总集成，软件开发）"),
    SERVICE(3, "服务类（单一集成，项目监理，系统运维，咨询设计，系统测评，财务审计）"),
    SERVICE_RENT(4, "服务类（产品采购、政务内网服务器租赁服务，政务外网云建设租赁服务）");

    private final Integer code;
    private final String val;

    public boolean eq(Integer code) {
        return this.getCode().equals(code);
    }

}
