package com.hz.pm.api.projectdeclared.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @Classname PrequalificationDeclaredReq
 * @Description
 * @Date 2023/2/14 11:42
 * @Author PoffyZhang
 */
@Data
public class PrequalificationDeclaredListReq extends PagePo {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrg;

    @ApiModelProperty("项目类型")
    private Integer projectType;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime createOnMin;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime createOnMax;

}
