package com.hz.pm.api.projectdeclared.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname DelayedApplyVO
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "DelayedApplyVO", description = "延期申请")
public class DelayedApplyVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("延期时间(几个月)")
    private Integer delayTime;

    @ApiModelProperty("延期申请佐证材料")
    private String delayApplyFile;

    @ApiModelProperty("延期申请理由")
    private String delayApplyReason;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新人")
    private Long updateBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("延期申请实例ID")
    private String instanceId;
}
