package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * FinalAcceptProgressStatisticsVO
 * </p>
 *
 * @author WendyYang
 * @since 10:19 2024/9/3
 */
@Data
@Builder
public class FinalAcceptProgressStatisticsVO {

    @ApiModelProperty("总数量")
    private Integer totalCount;

    @ApiModelProperty("审核中数量")
    private Integer auditCount;

    @ApiModelProperty("待终验申报数量")
    private Integer todoCount;

    @ApiModelProperty("已终验数量")
    private Integer passedCount;

    @ApiModelProperty("已终验数量")
    private Integer failedCount;

}
