package com.hz.pm.api.projectdeclared.model.vo;

import com.hz.pm.api.projectdeclared.model.req.XcfhxApplyReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * PurchaseFullInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 14:35 2024/2/26
 */
@Data
public class PurchaseFullInfoVO {

    @ApiModelProperty("招标登记")
    private PurchaseVO purchase;

    @ApiModelProperty("初验人员")
    private List<PreInsAcceptancePersonVO> firstInspectedPersons;

    @ApiModelProperty("实施计划")
    private OperationVO operation;

    @ApiModelProperty("合同信息")
    private ContractVO construction;

    @ApiModelProperty("信创符合性申请信息")
    private XcfhxApplyReq xcfhxApplyInfo;

}
