package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Classname ReviewCheckInfoVO
 * @Description
 * @Date 2023/11/08 10:00
 * @Author PoffyZhang
 */
@ApiModel(value = "ReviewCheckInfoVO", description = "ReviewCheckInfoVO")
@Data
@AllArgsConstructor
public class ReviewCheckInfoVO {

    @ApiModelProperty("审批人名")
    private String username;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("员工号")
    private String employeeCode;

    @ApiModelProperty("结果编号")
    private Integer result;

    @ApiModelProperty("结果描述")
    private String resultName;
}
