package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname ReviewChecklistApproveVO
 * @Description
 * @Date 2023/11/07 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ReviewChecklistApproveVO", description = "")
public class ReviewChecklistApproveVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("审批人")
    private String createBy;

    @ApiModelProperty("审批时间")
    private LocalDateTime createOn;

    @ApiModelProperty("审批人ID")
    private Long createById;

    @ApiModelProperty("审批人code")
    private String createByCode;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("子标题")
    private String subTitle;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("对应页码")
    private String corrPageNum;

    @ApiModelProperty("否决情形")
    private String rejectionSituation;

    @ApiModelProperty("响应情况")
    private String responseSituation;

    @ApiModelProperty("评审意见")
    private String reviewComments;

    @ApiModelProperty("审核结果 1.通过 2不通过 3一票否决")
    private Integer reviewResult;

}
