package com.hz.pm.api.projectlib.model.enumeration.status;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * ProjectStoppedStatus
 * </p>
 *
 * @author WendyYang
 * @since 16:53 2024/8/5
 */
@Getter
@AllArgsConstructor
public enum ProjectChangeStatus implements IStatus<Integer, String> {

    /**
     * 项目终止
     */
    ON_CHANGE_APPLY(50001, "项目变更审核中"),
    CHANGE_PASSED(50002, "项目变更审核通过"),
    CHANGE_FAILED(50003, "项目变更审核不通过");

    private final Integer code;
    private final String desc;

}
