package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * <p>
 * QxAcceptRecordReq
 * </p>
 *
 * @author WendyYang
 * @since 11:39 2024/8/31
 */
@Data
public class QxAcceptRecordReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("初验时间")
    @NotNull(message = "初验时间不能为空")
    private LocalDate firstAcceptDate;

    @ApiModelProperty("初验文件")
    private String firstAcceptFile;

    @ApiModelProperty("终验时间")
    @NotNull(message = "终验时间不能为空")
    private LocalDate finalAcceptDate;

    @ApiModelProperty("终验文件")
    private String finalAcceptFile;

}
