package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * SubmitAmountApprovalReq
 * </p>
 *
 * @author WendyYang
 * @since 17:28 2024/9/4
 */
@Data
public class SubmitAmountApprovalReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("批复金额")
    @NotNull(message = "批复金额不能为空")
    private BigDecimal approvalAmount;

    @ApiModelProperty("评审金额")
    @NotNull(message = "评审金额不能为空")
    private BigDecimal reviewAmount;

    @ApiModelProperty("资金下达附件")
    private String approvalAmountFile;

}
