package com.hz.pm.api.projectlib.model.vo;

import com.hz.pm.api.projectdeclared.model.dto.EditProjectDetailDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * ProjectChangeDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 14:48 2024/8/6
 */
@Data
public class ProjectChangeDetailVO {

    @ApiModelProperty("变更原因")
    private String changeReason;

    @ApiModelProperty("变更内容")
    private EditProjectDetailDTO projectEditDetail;

    @ApiModelProperty("变更申请时间")
    private LocalDateTime createOn;

}
