package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * <p>
 * SubmitProjectStoppedApplyReq
 * </p>
 *
 * @author WendyYang
 * @since 11:07 2024/8/5
 */
@Data
@Builder
public class ProjectStoppedDetailVO {

    @Tolerate
    public ProjectStoppedDetailVO() {
        // 默认构造方法
    }

    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @ApiModelProperty(value = "项目终止状态")
    private Integer stoppedStatus;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目终止原因")
    private String stoppedReason;

    @ApiModelProperty(value = "项目终止附件")
    private String stoppedFiles;

}
