package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * TenderInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 14:10 2024/2/25
 */
@Data
public class TenderListInfoVO {

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("标段名称")
    private String bidName;

    @ApiModelProperty("标段状态")
    private Integer bidStatus;

    @ApiModelProperty("标段状态描述")
    private String bidStatusName;

    @ApiModelProperty("合同金额")
    private BigDecimal constructionAmount;


}
