package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.projectlib.entity.ProjectGovSystemReplaceInfos;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-02-29
 */
public interface IProjectGovSystemReplaceInfosService extends IService<ProjectGovSystemReplaceInfos> {

    default void removeByProjectIds(Collection<Long> projectIds) {
        LambdaQueryWrapper<ProjectGovSystemReplaceInfos> query = Wrappers
                .lambdaQuery(ProjectGovSystemReplaceInfos.class)
                .in(ProjectGovSystemReplaceInfos::getProjectId, projectIds);
        remove(query);
    }

}
