package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.projectlib.entity.QxProjectSystemReplaceInfos;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-31
 */
public interface IQxProjectSystemReplaceInfosService extends IService<QxProjectSystemReplaceInfos> {

    default List<QxProjectSystemReplaceInfos> listByProjectId(Long projectId) {
        return this.list(Wrappers.lambdaQuery(QxProjectSystemReplaceInfos.class)
                .eq(QxProjectSystemReplaceInfos::getProjectId, projectId));
    }

}
