package com.hz.pm.api.projectlib.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hz.pm.api.projectlib.mapper.ProjectRenewalFundDeclarationMapper;
import com.hz.pm.api.projectlib.model.entity.ProjectRenewalFundDeclaration;
import com.hz.pm.api.projectlib.model.po.ProjectRenewalFundDeclarationPO;
import com.hz.pm.api.projectlib.model.req.ProjectRenewalListReq;
import com.hz.pm.api.projectlib.service.IProjectRenewalFundDeclarationService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 续建项目资金申请表 服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@Service
@RequiredArgsConstructor
public class ProjectRenewalFundDeclarationServiceImpl
        extends ServiceImpl<ProjectRenewalFundDeclarationMapper, ProjectRenewalFundDeclaration>
        implements IProjectRenewalFundDeclarationService {

    @Override
    public void pageSql(Page<ProjectRenewalFundDeclarationPO> page, ProjectRenewalListReq req) {
        baseMapper.pageSql(page, req);
    }

}
