package com.hz.pm.api.safety.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

/**
 * @Classname SafetyMonitorVO
 * @Description
 * @Date 2023/8/2 9:19
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "SafetyMonitorVO", description = "监控VO")
public class SafetyMonitorVO {

    @ApiModelProperty("人员安全信息")
    private List<PersonSafetyInfoVO> personSafetyInfo;

    @ApiModelProperty("供应商安全资质")
    private List<SupplierSafetyQualificationVO> supplierSafetyQualification;

    @ApiModelProperty("等保详情")
    private EqualProtectionVO equalProtection;
}
