package com.hz.pm.api.scheduler.task.model;

import lombok.Data;

@Data
public class CommonLog {
    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户角色(群众、企业、政府工作人员、第三方)
     */
    private String userRole;
    /**
     * 地区编码
     */
    private String areaCode;
    /**
     * 操作类型(1-登录 2-离开 3-办事开始 4-办事结束)
     */
    private Integer actionType;
    /**
     * 操作标识
     */
    private String actionId;
    /**
     * 操作时间
     */
    private String actionTime;
    /**
     * 操作时长
     */
    private Long actionDuration;
    /**
     * 操作状态(0-成功 1-失败)
     */
    private Integer actionStatus;
    /**
     * 应用编码
     */
    private String appCode;
}
