package com.hz.pm.api.staging.mapper;

import com.hz.pm.api.staging.model.entity.WorkNoticeStaging;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author CMM
 * @since 2023-02-28
 */
public interface NdWorkNoticeStagingMapper extends BaseMapper<WorkNoticeStaging> {

    Boolean addRetryTimes(@Param("id") Long id, @Param("retryTimes") Integer retryTimes,
                          @Param("nextRetryTime") LocalDateTime nextRetryTime, @Param("dead") Boolean dead);
}
