package com.hz.pm.api.sys.model.vo;

import com.ningdatech.file.entity.vo.result.AttachFileVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * NoticeDetailVo
 * </p>
 *
 * @author WendyYang
 * @since 16:56 2022/7/22
 */
@Data
@ApiModel("公告详情")
public class NoticeDetailVO {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("状态")
    private Boolean enabled;

    @ApiModelProperty("公告类型")
    private Integer type;

    @ApiModelProperty("附件信息")
    private List<AttachFileVo> attachments;

    @ApiModelProperty("权限控制 0所有人可看 1区域可看 2单位可看")
    private Integer permissions;

}
