package com.hz.pm.api.todocenter.model.dto;

import lombok.Data;

/**
 * 调用天印外部接口签章所需信息
 *
 * @author CMM
 * @since 2023/03/16 17:01
 */
@Data
public class SealInfoDTO {

    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 印章x坐标
     */
    private Float posX;
    /**
     * 印章y坐标
     */
    private Float posY;

    /**
     * 页码
     */
    private String posPage;

    /**
     * 签署类型
     */
    private Integer signType;

    /**
     * 印章编号
     */
    private String sealSn;

    /**
     * 盖章审核意见
     */
    private String auditOpinion;

    /**
     * 未盖章文件ID
     */
    private Long notSealedFileId;
}
