package com.hz.pm.api.todocenter.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待办中心待我处理数量统计
 *
 * @author CMM
 * @since 2023/04/12 16:51
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TodoNumVO {

    @ApiModelProperty("待我处理总数量")
    private Integer totalNum = 0;

    @ApiModelProperty("待我处理非增补项目总数量")
    private Integer notAppendNum = 0;

    @ApiModelProperty("待我处理非增补项目总数量")
    private Integer appendNum = 0;
}
