package com.hz.pm.api.user.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 企业表
 * </p>
 *
 * @author CMM
 * @since 2023-12-25
 */
@Data
@TableName("MH_COMPANY")
@ApiModel(value = "MhUnit对象", description = "企业表")
public class MhCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.INPUT)
    private String id;

    private String companyName;

    private String companyCode;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

}
