package com.hz.pm.api.user.security.exception;

import org.springframework.security.core.AuthenticationException;

/**
 * @author liuxinxin
 * @date 2023/3/24 上午11:47
 * 通用登陆错误
 */
public class BizLoginException extends AuthenticationException {

    public BizLoginException(String message) {
        super(message);
    }

    public static BizLoginException wrap(String message) {
        return new BizLoginException(message);
    }

}
