package com.hz.pm.api.user.task;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>
 * SyncMhUnitProperties
 * </p>
 *
 * @author WendyYang
 * @since 11:49 2023/12/25
 */
@Data
@Component
@ConfigurationProperties(prefix = SyncMhUnitProperties.PREFIX)
public class SyncMhUnitProperties {

    public static final String PREFIX = "sync-mh-unit";

    private Integer fixedRate = 2;

    private Boolean open = true;

    private Integer batchSize = 5000;

}
