package com.hz.pm.api.workbench.model;

import com.hz.pm.api.sys.enumeration.ProjectEarlyWarningStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * WorkbenchReq
 * </p>
 *
 * @author WendyYang
 * @since 18:27 2024/4/10
 */
@Data
public class WorkbenchReq {

    private Long unitId;

    private Integer projectYear;

    @ApiModelProperty("领域")
    private Integer unitStrip;

    @ApiModelProperty("预警状态")
    private ProjectEarlyWarningStatusEnum projectEarlyWarningStatus;

}
