package com.hz.pm.api.workbench.model.vo;

import java.time.LocalDateTime;
import java.util.List;

import com.hz.pm.api.sys.model.vo.ProjectEarlyWarningVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ProjectEarlyWarning
 * </p>
 *
 * @author WendyYang
 * @since 00:28 2024/8/28
 */
@Data
public class WorkbenchProjectMonitorEarlyWarnVO {

    @ApiModelProperty(value = "预警ID")
    private Long recordId;

    @ApiModelProperty(value = "建设单位code")
    private String buildOrgCode;

    @ApiModelProperty("建设单位名称")
    private String buildOrgName;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("21位项目编号")
    private String projectCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("环节名称")
    private String stepName;

    @ApiModelProperty("预警开始时间")
    private LocalDateTime instStart;

}