package com.hz.pm.api.common.config;

import com.hz.pm.api.common.interceptor.LogInterceptor;
import com.ningdatech.basic.config.BaseConfig;
import lombok.RequiredArgsConstructor;
import org.springframework.context.annotation.Configuration;
import org.springframework.lang.NonNull;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;

/**
 * @author qinxianyun
 */
@Configuration
@RequiredArgsConstructor
public class ConfigurerAdapter extends BaseConfig {

    @Override
    public void addInterceptors(@NonNull InterceptorRegistry registry) {
        registry.addInterceptor(new LogInterceptor()).addPathPatterns("/**").order(-100);
    }


}
