package com.hz.pm.api.common.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:34
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CommonPage<T> implements Serializable {
    private static final long serialVersionUID = 1L;
    private int currentPageNumber;
    private Long itemsTotal;
    private List<T> items;
}
