package com.hz.pm.api.common.statemachine.event;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * TenderStatusChangeEvent
 * </p>
 *
 * @author WendyYang
 * @since 00:14 2024/2/24
 */
@Getter
@AllArgsConstructor
public enum AdaptStateChangeEvent implements AbstractStateChangeEvent {

    SUBMIT_ADAPT_INFO(2100, null, null),
    ADAPT_INFO_PASSED(2101, null, null),
    ADAPT_INFO_FAILED(null, 2101, null),
    RESUBMIT_ADAPT_INFO(2102, null, null);


    private final Integer passStatusCode;
    private final Integer rejectStatusCode;
    private final Integer withdrawStatusCode;

}
