package com.hz.pm.api.datascope.provider;


import com.hz.pm.api.datascope.model.DataScopeDTO;
import com.hz.pm.api.user.model.enumeration.RoleEnum;

import java.util.Optional;

/**
 * <p>
 * 数据权限获取接口
 * </p>
 *
 * @author zpf
 * @since 2023/3/27 23:28
 */
public interface DataScopeProvider {

    RoleEnum findRole();

    /**
     * 获取登录人的数据权限
     *
     * @return 数据权限
     **/
    Optional<DataScopeDTO> findDataFieldProperty();

    Optional<DataScopeDTO> findDataFieldProperty(Long userId);
}
