package com.hz.pm.api.expert.model;

import com.hz.pm.api.common.model.FileBasicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/27 下午4:18
 * 提交修改申请额外信息
 */
@Data
@ApiModel("提交修改申请额外信息")
public class ModifyApplyExtraInfo {

    /**
     * 情况说明
     */
    @ApiModelProperty("申请说明")
    private String factSheet;

    /**
     * 证明材料
     */
    @ApiModelProperty("证明材料")
    private List<FileBasicInfo> evidenceList;
}
