package com.hz.pm.api.expert.model.req;

import com.hz.pm.api.expert.model.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午2:21
 */
@Data
@ApiModel(value = "ExpertUserBasicInfoSubmitRequest", description = "专家基本信息填写入参")
public class ExpertUserBasicInfoSubmitRequest {

    @NotNull
    @ApiModelProperty("基本信息")
    private ExpertBasicInfo basicInfo;

    @NotNull
    @ApiModelProperty("学历信息")
    private ExpertEduInfo eduInfo;

    @NotNull
    @ApiModelProperty("职业信息")
    private ExpertJobInfo jobInfo;

    @NotNull
    @ApiModelProperty("专业信息")
    private ExpertProfessionalInfo professionalInfo;

    /**
     * 补充推荐方式
     */
    @NotNull
    @ApiModelProperty("推荐信息")
    private ExpertRecommendInfo recommendInfo;

}