package com.hz.pm.api.expert.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/8/29 下午2:54
 */
@Data
@ApiModel(description = "通过手机号获取浙政钉信息请求")
public class GetZzdInfoRequest {

    @NotBlank
    @ApiModelProperty("手机号")
    private String phoneNo;
}
