package com.hz.pm.api.expert.model.vo;


import com.hz.pm.api.expert.model.DictFieldInfoDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:04
 */
@Data
@ApiModel("专家库列表查询返回model")
public class ExpertLibraryListItemVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "专家姓名")
    private String expertName;

    @ApiModelProperty("工作单位")
    private String company;

    @ApiModelProperty(value = "手机号")
    private String phoneNo;

    @ApiModelProperty(value = "所属专家库")
    private List<DictFieldInfoDTO> expertLibrary;

    @ApiModelProperty(value = "专家专业特长")
    private List<DictFieldInfoDTO> expertSpecialty;

    @ApiModelProperty(value = "专家类型(内外围)")
    private List<DictFieldInfoDTO> expertType;

    @ApiModelProperty(value = "专家来源")
    private List<DictFieldInfoDTO> expertSource;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime inPutTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
}
