package com.hz.pm.api.expert.model.vo;

import com.hz.pm.api.expert.model.dto.ReviewTemplateSettingsDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * ReviewTemplateReq
 * </p>
 *
 * @author WendyYang
 * @since 10:11 2023/2/15
 */
@Data
@Builder
public class ReviewTemplateVO {

    @ApiModelProperty("模版ID")
    private Long templateId;

    @ApiModelProperty("模版类型")
    private Integer templateType;

    @ApiModelProperty("模版数据")
    private List<ReviewTemplateSettingsDTO> templates;

}
