package com.hz.pm.api.filemanage.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Classname Documentation
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "DocumentationSaveDTO", description = "DocumentationSaveDTO")
public class DocumentationSaveDTO {

    @ApiModelProperty("文档分类ID")
    @NotNull(message = "请传分组ID")
    private Long groupId;

    @ApiModelProperty("文档ID")
    @NotNull(message = "请传文档ID")
    private Long fileId;

    @ApiModelProperty("排序")
    private Integer sort;
}
