package com.hz.pm.api.fiscal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2023/3/23 上午10:58
 */

@Data
@ApiModel("财政编码配置VO")
public class CompanyFiscalCodeAndSealSnVO {

    @ApiModelProperty("组织编码")
    private String organizationCode;

    @ApiModelProperty("财政编码")
    private String fiscalCode;

    @ApiModelProperty("印章编号")
    private String sealSn;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

}
