package com.hz.pm.api.irs.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname ProjectCoreBiz
 * @Description
 * @Date 2023/9/13 15:33
 * @Author PoffyZhang
 */
@Data
@TableName("nd_project_core_biz")
@ApiModel(value = "项目核心业务对象")
public class ProjectCoreBiz {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("irs那边的ID")
    private Long irsId;

    @ApiModelProperty("生成的业务编号")
    private String matterCode;

    @ApiModelProperty("业务名")
    private String matterName;

    @ApiModelProperty("企业名")
    private String orgName;

    @ApiModelProperty("企业钉code")
    private String orgCode;

    @ApiModelProperty("区域名")
    private String areaName;

    @ApiModelProperty("状态")
    private String userState;
}
