package com.hz.pm.api.leave.entity.vo;

import com.ningdatech.file.entity.vo.result.AttachFileVo;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * LeaveDetailVo
 * </p>
 *
 * @author WendyYang
 * @since 11:48 2022/8/12
 */
@Data
@Builder
public class LeaveDetailVO {

    private Long id;

    private String postscript;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private LocalDateTime actualEndTime;

    private Integer status;

    private List<AttachFileVo> attachments;

    private Integer type;

    private List<Integer> fixedType;

    private LocalDateTime createOn;

    private String createBy;

    private Long auditId;

}
