package com.hz.pm.api.meeting.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 专家邀请回避规则
 * </p>
 *
 * @author WendyYang
 * @since 10:22 2022/7/26
 */
@Data
@ApiModel("回避信息")
public class AvoidRuleDTO {


    @ApiModelProperty("回避类型：1 回避同单位、2 回避同条线、3 不回避")
    private Integer avoidType;

    @ApiModelProperty("回避单位")
    private List<String> avoidUnitIdList;

    @ApiModelProperty("回避条线")
    private List<String> avoidOrgIdList;

    @ApiModelProperty("每周邀请次数")
    private Integer weekInviteCount;

    @ApiModelProperty("回避专家")
    private List<Long> expertIds;

}
