package com.hz.pm.api.meeting.entity.dto;

import com.hz.pm.api.expert.entity.ExpertUserFullInfo;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * ExpertChooseDTO
 * </p>
 *
 * @author WendyYang
 * @since 00:44 2022/7/27
 */
@Data
@AllArgsConstructor
public class ExpertChoseDTO {

    private List<ExpertUserFullInfo> experts;

    private Integer total;

    public boolean notEmpty() {
        return total != null && total > 0;
    }

}
