package com.hz.pm.api.meeting.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * ExpertInvitedRecordDTO
 * </p>
 *
 * @author WendyYang
 * @since 22:48 2022/8/22
 */
@Data
public class ExpertInvitedRecordDTO {

    private Long meetingId;

    private Long meetingExpertId;

    private Long expertId;

    private Integer status;

    private Boolean attended;

    private LocalDateTime createOn;

    /**
     * 20240513 新增字段
     */
    @ApiModelProperty("专家签到状态")
    private Boolean signStatus;

    @ApiModelProperty("专家签到时间")
    private LocalDateTime signTime;

    @ApiModelProperty("专家签到地点")
    private String signAddress;

}
