package com.hz.pm.api.meeting.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * ProjectReviewResultDTO
 * </p>
 *
 * @author WendyYang
 * @since 17:17 2023/12/21
 */
@Data
public class ProjectReviewResultDTO {

    @ApiModelProperty("建设必要性")
    private String buildNecessity;

    @ApiModelProperty("需求合理性")
    private String needRationality;

    @ApiModelProperty("技术方案可行性")
    private String techFeasibility;

    @ApiModelProperty("审核结果")
    private Integer reviewResult;

    @ApiModelProperty("其他意见")
    private String otherAdvices;

    @ApiModelProperty("投资测算合理性")
    private String investRationality;

    @ApiModelProperty("建议资金（单位：万元）")
    private BigDecimal suggestedFunding;

    private String attachFiles;

}
