/**
 * Copyright 2023 json.cn
 */
package com.hz.pm.api.meeting.entity.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 电话结果回调内容
 * </p>
 *
 * @author WendyYang
 * @since 2023/4/17
 **/
@Data
public class YxtCallBackDTO {

    private Integer duration;

    private String pressKey;

    private String receiveNumber;

    private LocalDateTime dialEndTime;

    private Integer resultCode;

    private Integer retryNumber;

    private String failCode;

    private LocalDateTime dialBeginTime;

    private String sendNumber;

    private String failReason;

    private String transactionId;

}