package com.hz.pm.api.meeting.entity.enumeration;

import com.hz.pm.api.meeting.entity.dto.ExpertJudgeTimeLimitDTO;
import com.hz.pm.api.meeting.entity.dto.InviteCallIgnoreTimeDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * MeetingSettingsTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 00:06 2023/12/27
 */
@Getter
@AllArgsConstructor
public enum MeetingSettingsTypeEnum {

    INVITE_CALL_IGNORE_TIME("专家抽取免打扰时段配置", InviteCallIgnoreTimeDTO.class),
    SMS_SEND_IGNORE_TIME("短信发送免打扰时间段", InviteCallIgnoreTimeDTO.class),
    EXPERT_JUDGE_TIME_LIMIT("专家星级评分时间配置", ExpertJudgeTimeLimitDTO.class);

    private final String name;
    private final Class<?> contentClass;

}
