package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * BatchAppointExpertsPo
 * </p>
 *
 * @author WendyYang
 * @since 15:49 2022/8/26
 */
@Data
@ApiModel("补充专家参数实体")
public class BatchAppointExpertsReq {

    @NotEmpty(message = "专家ID不能为空")
    @ApiModelProperty("专家ID")
    private List<Long> expertIdList;

    @NotNull(message = "会议ID不能为空")
    @ApiModelProperty("会议ID")
    private Long meetingId;

}
