package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * ExpertRemovePo
 * </p>
 *
 * @author WendyYang
 * @since 08:59 2022/8/10
 */
@Data
@ApiModel("专家移除实体")
public class ExpertRemoveReq {

    @NotNull(message = "会议ID不能为空")
    @ApiModelProperty("会议ID")
    private Long meetingId;

    @NotNull(message = "专家会议ID不能为空")
    @ApiModelProperty("专家会议ID")
    private Long expertMeetingId;

}
