package com.hz.pm.api.meeting.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * ExpertReplaceTodoListItemVo
 * </p>
 *
 * @author WendyYang
 * @since 16:46 2022/8/29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ExpertReplaceTodoListItemVO extends ExpertBasicInfoVO {

    @ApiModelProperty("会议ID")
    private Long meetingId;

    private Long expertMeetingId;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("邀请结果")
    private Integer status;

    @ApiModelProperty("邀请方式")
    private String inviteType;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

}
