package com.hz.pm.api.meeting.entity.vo;

import com.ningdatech.file.entity.vo.result.AttachFileVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * MeetingResultVo
 * </p>
 *
 * @author WendyYang
 * @since 21:28 2022/8/8
 */
@Data
public class MeetingResultVO {

    @ApiModelProperty("事务ID")
    private Long meetingId;

    @ApiModelProperty("会议结果说明")
    private String resultDescription;

    @ApiModelProperty("附件信息")
    private List<AttachFileVo> attachments;

}
