package com.hz.pm.api.meta.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/8/25 上午11:10
 */
@Data
@ApiModel("新增字典值")
public class ReqAddDictionaryPO {

    @ApiModelProperty(value = "字典类型")
    @NotBlank
    private String dictionaryType;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    @NotBlank
    private String name;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @NotNull
    private Integer sortValue;


}
