package com.hz.pm.api.meta.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/7/22 上午11:26
 */
@Data
@ApiModel(value = "DictionaryListVO", description = "字典结构VO")
public class ResDictionaryVO {


    @ApiModelProperty(value = "字典类型")
    private String dictionaryType;

    /**
     * 编码 随机数处理
     */
    @ApiModelProperty(value = "编码")
    private String dictionaryCode;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sortValue;

    /**
     * 是否内置，内置不可删除
     */
    @ApiModelProperty(value = "是否内置，内置不可删除")
    private String readonly;

}
