package com.hz.pm.api.open.model.po;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * PageExpertJudgeReq
 * </p>
 *
 * @author WendyYang
 * @since 16:13 2024/6/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PageExpertJudgePO extends PagePo {

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("信创专家ID")
    private String mhExpertId;

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;

}
