package com.hz.pm.api.organization.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Liuxinxin
 * @since 2023-03-08
 */
@TableName("nd_provincial_gov_business_strip")
@Data
@ApiModel(value = "省级条线实体", description = "省级条线实体")
public class ProvincialGovBusinessStrip {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("条线code")
    private String businessStripCode;

    @ApiModelProperty("条线名称")
    private String businessStripName;

}
