package com.hz.pm.api.organization.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Liuxinxin
 * @since 2023-03-08
 */
@Data
@ApiModel(value = "条线树形 responseVO", description = "")
public class GovBusinessStripTreeVO {

    private Long id;

    @ApiModelProperty("条线code")
    private String businessStripCode;

    @ApiModelProperty("条线名称")
    private String businessStripName;

    @ApiModelProperty("父级条线code")
    private String parentCode;

    @ApiModelProperty("父级条线名称")
    private String parentName;
}
