package com.hz.pm.api.organization.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/8/17 下午2:01
 */
@Data
public class OrganizationTreeVO {

    private Long id;

    @ApiModelProperty("上级部门")
    private String parentCode;

    @ApiModelProperty("浙政钉组织编号")
    private String organizationCode;

    //    @ApiModelProperty("子部门数目")
//    private Long subCount;
//
//    @ApiModelProperty("排序")
//    private Long deptSort;
//
//    @ApiModelProperty("状态(禁用,启用)")
    private Boolean enabled;

    @ApiModelProperty("名称")
    private String name;

//    @ApiModelProperty(value = "子节点")
//    private List<OrganizationTreeVO> children;
//
//    @ApiModelProperty(value = "是否为叶子节点")
//    private Boolean isLeaf;
//
    @ApiModelProperty(value = "社会同一信用代码")
    private String unifiedSocialCreditCode;
}
