package com.hz.pm.api.performance.constant;

/**
 * <p>
 * ProjectBizConst
 * </p>
 *
 * @author WendyYang
 * @since 16:19 2023/12/28
 */
public interface ProjectBizConst {

    /**
     * 500万元
     */
    Integer FIVE_MILLION = 500;
    /**
     * 2000万元
     */
    Integer TWENTY_MILLION = 2000;

    /**
     * 立项批复金额在500万以下
     */
    Integer AMOUNT_RANGE_ONE = 1;

    /**
     * 立项批复金额在500万-2000万之间
     */
    Integer AMOUNT_RANGE_TWO = 2;

    /**
     * 立项批复金额大于2000万
     */
    Integer AMOUNT_RANGE_THREE = 3;
    /**
     * 复评员
     */
    String REAPPRAISAL_ROLE = "复评员";

    String FIRST_INDEX_NAME = "firstIndexName";
    String FIRST_INDEX_TITLE = "一级指标";
    String SECOND_INDEX_NAME = "secondIndexName";
    String SECOND_INDEX_TITLE = "二级指标";
    String THIRD_INDEX_NAME = "thirdIndexName";
    String THIRD_INDEX_TITLE = "三级指标";
    String INDEX_SCORE = "indexScore";
    String INDEX_SCORE_TITLE = "指标分值";
    String INDEX_DETAIL = "indexDetail";
    String INDEX_DETAIL_TITLE = "指标细则";
    String GRADE_DETAIL = "gradeDetail";
    String GRADE_DETAIL_TITLE = "评分细则";
    String SUPPORT_MATERIAL = "supportMaterial";
    String SUPPORT_MATERIAL_TITLE = "佐证材料";
    String SELF_APPRAISAL_BASIS = "selfAppraisalBasis";
    String SELF_APPRAISAL_BASIS_TITLE = "自评依据";
    String SELF_APPRAISAL_SCORE = "selfAppraisalScore";
    String SELF_APPRAISAL_SCORE_TITLE = "自评得分";
    String RE_APPRAISAL_BASIS = "refAppraisalBasis";
    String RE_APPRAISAL_BASIS_TITLE = "复评依据";
    String RE_APPRAISAL_SCORE = "reAppraisalScore";
    String RE_APPRAISAL_SCORE_TITLE = "复评得分";

    String VERIFY_BASIS = "verifyBasis";
    String VERIFY_BASIS_TITLE = "核查依据";
    String VERIFY_SCORE = "verifyScore";
    String VERIFY_SCORE_TITLE = "核查得分";
    String IS_ADDITIONAL = "isAdditional";
    String IS_ADDITIONAL_TITLE = "是否附加指标";
    String RE_APPRAISAL = "(复评)";
    String VERIFY = "(核查)";
}
