package com.hz.pm.api.performance.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.performance.model.entity.ProjectCoreBusinessIndicators;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author CMM
 * @since 2023-07-26
 */
public interface IProjectCoreBusinessIndicatorsService extends IService<ProjectCoreBusinessIndicators> {

    default List<ProjectCoreBusinessIndicators> listByApplicationIds(Collection<Long> applicationIds) {
        Wrapper<ProjectCoreBusinessIndicators> query = Wrappers.lambdaQuery(ProjectCoreBusinessIndicators.class)
                .in(ProjectCoreBusinessIndicators::getApplicationId, applicationIds);
        return list(query);
    }

}
