package com.hz.pm.api.projectdeclared.model.dto;

import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 建设方案申报列表导出实体类
 *
 * @author CMM
 * @since 2023/03/10 10:20
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConstructionPlanExportDTO {
    @ExcelProperty(value = "序号",index = 0)
    private Integer serialNumber;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("项目类型")
    private String projectTypeName;

    @ExcelProperty("申报金额(万元)")
    private BigDecimal declareAmount;

    @ExcelProperty("预算年度")
    private Integer projectYear;

    @ExcelProperty("创建时间")
    private String createOn;

}
