package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;

/**
 * @Classname DelayedApplyDTO
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "DelayedApplyDTO", description = "延期申请")
public class DelayedApplyDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("延期时长 月")
    @NotNull(message = "请填写时长")
    private Integer delayedMonth;

    @ApiModelProperty("延期理由")
    private String delayedReason;

    @ApiModelProperty("佐证材料")
    private String supportingMaterials;
}
