package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Classname PaymentPlan
 * @Description
 * @Date 2023/5/30 16:11
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "PaymentPlanSupplementDTO", description = "")
public class PaymentPlanSupplementDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @NotNull(message = "id必传")
    private Long id;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("实际支付金额")
    private BigDecimal actualPaymentAmount;

}
