package com.hz.pm.api.projectdeclared.model.req;

import com.ningdatech.basic.model.PagePo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * XcfhxListReq
 * </p>
 *
 * @author WendyYang
 * @since 14:49 2024/3/27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class XcfhxListReq extends PagePo {

    private String bidName;
    private String projectName;
    private BigDecimal amountStart;
    private BigDecimal amountEnd;

    private Integer status;

    private Integer sourceType;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOnMin;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOnMax;

    private Boolean finished;

}
