package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * <p>
 * AdaptionProgressStatVO
 * </p>
 *
 * @author WendyYang
 * @since 16:46 2024/8/20
 */
@Data
@Builder
public class AdaptionProgressStatVO {

    @Tolerate
    public AdaptionProgressStatVO() {
        // 默认构造方法
    }

    @ApiModelProperty("总数")
    private Integer totalCount;

    @ApiModelProperty("待填写实施计划")
    private Long withoutOperationCount;

    @ApiModelProperty("待上传开工文件")
    private Long withoutAdaptionInfo;

    @ApiModelProperty("待上传自测材料")
    private Long withoutSelfTestCount;

    @ApiModelProperty("待上传测试验证材料")
    private Long withoutTestValidCount;

    @ApiModelProperty("待单位确认")
    private Long withoutOrgConfirmCount;

}
