package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * DeclaredProgressStatisticsVO
 * </p>
 *
 * @author WendyYang
 * @since 15:23 2024/9/2
 */
@Data
public class DeclaredProgressStatisticsVO {

    @ApiModelProperty("总数")
    private Integer totalCount;

    @ApiModelProperty("待审核")
    private Long auditCount;

    @ApiModelProperty("已通过")
    private Long passedCount;

    @ApiModelProperty("未通过")
    private Long failedCount;

}
