package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Objects;

/**
 * <p>
 * PreInsAcceptancePersonVO
 * </p>
 *
 * @author WendyYang
 * @since 14:34 2024/2/26
 */
@Data
public class PreInsAcceptancePersonVO {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("人员名称")
    private String personName;

    @ApiModelProperty("单位")
    private String unit;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        PreInsAcceptancePersonVO that = (PreInsAcceptancePersonVO) o;
        return Objects.equals(id, that.id)
                && Objects.equals(projectId, that.projectId)
                && Objects.equals(personName, that.personName)
                && Objects.equals(unit, that.unit);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, projectId, personName, unit);
    }
}
