package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * PurchaseProgressStatisticsVO
 * </p>
 *
 * @author WendyYang
 * @since 11:58 2024/8/27
 */
@Data
public class PurchaseProgressStatVO {

    @ApiModelProperty("总数量")
    private Integer totalCount;

    @ApiModelProperty("待采购数量")
    private Integer toBePurchaseCount;

    @ApiModelProperty("采购中数量")
    private Integer onPurchaseCount;

    @ApiModelProperty("已采购数量")
    private Integer purchaseFinishedCount;

}
