package com.hz.pm.api.projectdeclared.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectdeclared.model.entity.XinchuangInst;

import java.util.List;

/**
 * <p>
 * IXinchuangInstService
 * </p>
 *
 * @author ZPF
 * @since 00:12 2024/7/3
 */
public interface IXinchuangInstService extends IService<XinchuangInst> {


    List<XinchuangInst> listByXinchuangIds(List<Long> xinchuangIds);

    default XinchuangInst getByInstCode(String instCode) {
        LambdaQueryWrapper<XinchuangInst> wrapper = Wrappers.lambdaQuery(XinchuangInst.class)
                .eq(XinchuangInst::getInstCode, instCode);
        return getOne(wrapper);
    }

}
