package com.hz.pm.api.projectdeclared.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hz.pm.api.projectdeclared.mapper.XinchuangInstMapper;
import com.hz.pm.api.projectdeclared.model.entity.XinchuangInst;
import com.hz.pm.api.projectdeclared.service.IXinchuangInstService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * XinchuangInstServiceImpl
 * </p>
 *
 * @author ZPF
 * @since 00:13 2024/7/3
 */
@Service
public class XinchuangInstServiceImpl extends ServiceImpl<XinchuangInstMapper, XinchuangInst>
        implements IXinchuangInstService {
    @Override
    public List<XinchuangInst> listByXinchuangIds(List<Long> xinchuangIds) {
        return list(Wrappers.lambdaQuery(XinchuangInst.class)
                .in(XinchuangInst::getXinchuangId, xinchuangIds));
    }
}
