package com.hz.pm.api.projectlib.handle;

import static com.hz.pm.api.projectlib.handle.AbstractProcessHandle.ProcessNode;

/**
 * <p>
 * ProcessHandle
 * </p>
 *
 * @author WendyYang
 * @since 16:01 2024/4/11
 */
public interface ProcessHandle {

    /**
     * 抽象的，所有具体处理者应该实现的处理逻辑
     *
     * @param ctx ctx
     */
    void handle(HandleParamContext ctx);

    ProcessNode getProcessNode();

}
