package com.hz.pm.api.projectlib.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hz.pm.api.projectlib.model.entity.ProjectRenewalFundDeclaration;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hz.pm.api.projectlib.model.po.ProjectRenewalFundDeclarationPO;
import com.hz.pm.api.projectlib.model.req.ProjectRenewalListReq;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 续建项目资金申请表 Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
public interface ProjectRenewalFundDeclarationMapper extends BaseMapper<ProjectRenewalFundDeclaration> {

    Page<ProjectRenewalFundDeclarationPO> pageSql(Page<ProjectRenewalFundDeclarationPO> page,@Param("param") ProjectRenewalListReq req);
}
