package com.hz.pm.api.projectlib.model.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * ImportReplaceSystemInfosDTO
 * </p>
 *
 * @author WendyYang
 * @since 16:01 2024/3/2
 */
@Data
public class ImportProjectFinanceInfosDTO {

    /**
     * 单位名称
     */

    private String unitName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 合计
     */
    private BigDecimal declareAmount;

    /**
     * 其他资金
     */
    private BigDecimal declareHaveAmount;

    /**
     * 市本级信息化专项资金
     */
    private BigDecimal declareGovOwnFinanceAmount;

    /**
     * 上级补助资金
     */
    private BigDecimal declareGovSuperiorFinanceAmount;


}
