package com.hz.pm.api.projectlib.model.enumeration.status;

/**
 * <p>
 * IStatus
 * </p>
 *
 * @author WendyYang
 * @since 10:25 2024/4/12
 */
public interface IStatus<C, D> {

    C getCode();

    D getDesc();

    default boolean eq(C code) {
        return this.getCode().equals(code);
    }

    default boolean eq(IStatus<C, D> status) {
        return this.getCode().equals(status.getCode());
    }

}
