package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * <p>
 * StartProjectDeclareReq
 * </p>
 *
 * @author WendyYang
 * @since 17:47 2023/2/11
 */
@Data
public class StartProjectDeclareReq {

    @ApiModelProperty("项目ID")
    @NotEmpty(message = "项目ID不能为空")
    private List<Long> projectIds;


}
