package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * QxProjectDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 11:58 2024/8/31
 */
@Data
public class QxProjectDetailVO {

    @ApiModelProperty("项目详情")
    private QxProjectVO project;

    @ApiModelProperty("采购详情")
    private QxPurchaseVO purchase;

    @ApiModelProperty("改造提升&综合集成详情")
    private List<QxProjectSystemReplaceInfosVO> systemReplaceInfos;

}
