package com.hz.pm.api.projectlib.model.vo;

import com.hz.pm.api.projectlib.model.dto.GovSystemReplaceInfoDTO;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * ProjectGovSystemReplaceVO
 * </p>
 *
 * @author WendyYang
 * @since 15:47 2024/3/20
 */
@Data
public class UnitProjectGovSystemReplaceVO {

    private String unitName;

    private List<ProjectGovSystemReplaceVO> projectSystemReplaces;

    @Data
    public static class ProjectGovSystemReplaceVO {

        private String projectName;

        private List<GovSystemReplaceInfoDTO> replaceSystems;

    }

}
