package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.projectlib.entity.QxProject;
import com.hz.pm.api.projectlib.entity.QxPurchase;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-31
 */
public interface IQxPurchaseService extends IService<QxPurchase> {

    default QxPurchase getByProjectId(Long projectId) {
        return this.getOne(Wrappers.lambdaQuery(QxPurchase.class)
                .eq(QxPurchase::getProjectId, projectId));
    }

}
