package com.hz.pm.api.safety.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 等保详情
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "等保详情", description = "等保详情")
public class EqualProtectionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("等保级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer secrecyGrade;

    @ApiModelProperty("密码测评级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer passwordGrade;
}
