package com.hz.pm.api.safety.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.safety.model.entity.PersonSafetyInfo;

import java.util.List;

/**
 * @Classname IPersonSafetyInfoService
 * @Description
 * @Date 2023/8/2 10:47
 * @Author PoffyZhang
 */
public interface IPersonSafetyInfoService extends IService<PersonSafetyInfo> {

    default List<PersonSafetyInfo> listByProjectCode(String projectCode) {
        return list(Wrappers.lambdaQuery(PersonSafetyInfo.class)
                .eq(PersonSafetyInfo::getProjectCode, projectCode));
    }

}
