package com.hz.pm.api.safety.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.safety.model.entity.SupplierSafetyQualification;

import java.util.List;

/**
 * @Classname ISupplierSafetyQualificationService
 * @Description
 * @Date 2023/8/2 10:47
 * @Author PoffyZhang
 */
public interface ISupplierSafetyQualificationService extends IService<SupplierSafetyQualification> {

    default List<SupplierSafetyQualification> listByProjectCode(String projectCode) {
        return list(Wrappers.lambdaQuery(SupplierSafetyQualification.class)
                .eq(SupplierSafetyQualification::getProjectCode, projectCode));
    }

}
