package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 通用暂存表
 * </p>
 *
 * @author WendyYang
 * @since 2024-03-25
 */
@Getter
@Setter
@TableName("ND_STAGING")
@ApiModel(value = "NdStaging对象")
public class Staging implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    private String type;

    private String content;

    private String bizId;

    private Long createBy;

    private LocalDateTime createOn;

}
