package com.hz.pm.api.sys.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;

/**
 * <p>
 * ManageNoticeListItem
 * </p>
 *
 * @author WendyYang
 * @since 00:30 2022/7/23
 */
@Data
@Builder
public class NoticeListItemVO {

    @Tolerate
    public NoticeListItemVO() {
        // 默认无参构造
    }

    @ApiModelProperty("公告ID")
    private Long id;

    @ApiModelProperty("公告类型")
    private Integer type;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("是否启用")
    private Boolean enabled;

    @ApiModelProperty("是否置顶")
    private Boolean topped;

}