package com.hz.pm.api.sys.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @Classname UserGuidanceVO
 * @Description
 * @Date 2023/8/8 14:24
 * @Author PoffyZhang
 */
@Data
@Builder
@ApiModel(value = "UserGuidanceVO", description = "用户引导VO")
public class UserGuidanceVO {

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 单位code
     */
    @ApiModelProperty(value = "单位code")
    private Long orgCode;

    /**
     * 是否全部完成
     */
    @ApiModelProperty(value = "是否全部完成")
    private Boolean isAllFinished;

    @ApiModelProperty(value = "详情")
    private List<UserGuidanceDetailVO> details;

}
