package com.hz.pm.api.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.sys.model.entity.WflowEarlyWarningRecords;
import com.hz.pm.api.sys.model.req.WarningListReq;
import com.hz.pm.api.sys.model.vo.WflowEarlyWarningRecordsVO;
import com.ningdatech.basic.model.PageVo;
import com.wflow.enums.WarningRuleTypeEnum;

import java.util.Collection;
import java.util.List;

/**
 * @author PoffyZhang
 */
public interface IEarlyWarningRecordsService extends IService<WflowEarlyWarningRecords> {

    PageVo<WflowEarlyWarningRecordsVO> records(Integer ruleType, WarningListReq req);

    List<WflowEarlyWarningRecords> listProjectLastWarningRecords(Collection<String> projectCodes, WarningRuleTypeEnum ruleType);

}
