package com.hz.pm.api.todocenter.constant;
/**
 * 工作通知格式常量
 * @author CMM
 * @since 2023/02/01 14:56
 */
public class WorkNoticeConst {

    private WorkNoticeConst() {
    }

    public static final String PASS_MSG_TEMPLATE = "【%s】的【%s】需要您审核。";
    public static final String PASS_MSG_TEMPLATE2 = "【%s】已通过【%s】，请及时开始下一步操作。";
    public static final String BACK_MSG_TEMPLATE = "【%s】的【%s】被退回，请及时处理。";
    public static final String REJECT_MSG_TEMPLATE = "【%s】的【%s】被驳回，请及时处理。";

    public static final String CC_MSG_TEMPLATE = "【%s】的【%s】有消息抄送您,请查看详情";

    public static final String AUDIT_WORK_TITLE = "审核任务";

    public static final String EXPERT_REVIEW_TEMPLATE = "【%s】的【%s】待您评审，请及时处理。";
    public static final String REVIEW_MEETING_TEMPLATE = "【%s】已完成专家抽取，请及时处理。";
    public static final String WARNING_ALERT_TEMPLATE = "【%s】的【%s】待您审核，已停留2小时，请及时处理。";

    public static final String PROJECT_ID = "projectId";
    public static final String INSTANCE_ID = "instanceId";
    public static final String MEETING_ID = "meetingId";


}
