package com.hz.pm.api.user.helper;

import com.hz.pm.api.user.model.dto.UnitDTO;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * MhUnitCache
 * </p>
 *
 * @author WendyYang
 * @since 11:19 2024/1/11
 */
public interface MhUnitCache {

    List<Long> getUnitIdPaths(Long unitId);

    List<UnitDTO> all();

    UnitDTO getById(Long id);

    List<UnitDTO> listByIds(Collection<Long> unitIds);

    List<UnitDTO> getChildren(Long id);

    List<Long> getChildIds(Long id);

    List<UnitDTO> getChildrenRecursion(Long id);

    List<Long> getChildIdsRecursion(Long id);

    List<Long> getViewChildIdsRecursion(Long id);

}
