package com.hz.pm.api.user.model.dto;

import com.hz.pm.api.external.model.enumeration.MhUnitTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * MhUnitDTO
 * </p>
 *
 * @author WendyYang
 * @since 15:29 2024/1/10
 */
@Data
public class UnitDTO {

    private Long id;

    private String name;

    @ApiModelProperty("简称")
    private String shortName;

    private Long parentId;

    private Short sort;

    private MhUnitTypeEnum type;

    private String unifiedSocialCreditCode;

}
