package com.hz.pm.api.user.model.po;

import com.ningdatech.basic.model.PagePo;
import com.hz.pm.api.user.model.vo.UserRoleVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/2/13 上午9:10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("用户管理查询 请求入参")
public class UserInfoListReq extends PagePo {

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("所在单位")
    private String orgName;

    @ApiModelProperty("所在单位Code")
    private Long mhUnitId;

    @ApiModelProperty("用户角色")
    private List<UserRoleVO> userRoleList;

    @ApiModelProperty("状态")
    private String status;

}
