package com.hz.pm.api.user.task;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>
 * SyncMhUnitProperties
 * </p>
 *
 * @author WendyYang
 * @since 11:49 2023/12/25
 */
@Data
@Component
@ConfigurationProperties(prefix = SyncMhExpertProperties.PREFIX)
public class SyncMhExpertProperties {

    public static final String PREFIX = "sync-mh-expert";

    /**
     * 单位：分钟
     */
    private Integer fixedRate = 5;

    private Boolean open = true;

    private Integer batchSize = 2000;

}
