package com.hz.pm.api.workbench.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * QxProjectStatisticsVO
 * </p>
 *
 * @author WendyYang
 * @since 14:16 2024/8/31
 */
@Data
public class QxProjectStatisticsVO {

    @ApiModelProperty("已立项数量")
    private Integer declaredCount;

    @ApiModelProperty("已采购数量")
    private Integer purchasedCount;

    @ApiModelProperty("改造提升&综合集成数量")
    private Integer upgradedCount;

    @ApiModelProperty("验收数量")
    private Integer acceptedCount;

    @ApiModelProperty("项目总预算")
    private BigDecimal totalBudget;

    @ApiModelProperty("合同金额")
    private BigDecimal totalContractAmount;

}
