package com.hz.pm.api.workbench.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * SystemReplaceStatVO
 * </p>
 *
 * @author WendyYang
 * @since 10:00 2024/8/14
 */
@Data
@Builder
public class SystemReplaceStatVO {

    @ApiModelProperty("替代类型")
    private String replaceType;

    @ApiModelProperty("替代前数量")
    private Integer sourceCount;

    @ApiModelProperty("替代后数量")
    private Integer targetCount;

}
